# 通用查询接口
通用查询共两个模板接口
`/xx/xxxx/list`和`/xx/xxxx/listWithExt`，前者为单表查询，后者为自定义查询。

为了查询的便捷性，这里将查询进行了初步的封装，这里先简单的说一下样例：

```json
{
	"pageNum": 1,
	"pageSize": 15,
	"whereParams": [
		{
            "tableAlias": "t",
			"operateType": "LIKE",
			"propertyName": "userName",
			"propertyValue": "admin"
		},
        {
			"operateType": "BT",
			"propertyName": "createTime",
			"propertyValue": ["2020-01-01","2020-06-06"]
		},
        {
			"operateType": "EQ",
			"propertyName": "isLocked",
			"propertyValue": 2
		}
	]
}
```
**参数说明**

| 属性 | 类型 | 说明 |
| :-----| :---- | :---- |
| tableAlias | string | 表别名，只有在多表关联查询时才可能用到 |
| operateType | enum | 操作枚举,见操作说明表 |
| propertyName | string | 属性 |
| propertyValue | object | 属性值，可以是int/string/double/array |

**操作说明-operateType**

| 操作名 | 说明                    |传参类型|
| :-----| :---- | :---- |
| EQ     | 等于=                   |string|
| NE     | 不等于<>                |string|
| GT     | 大于>                   |string|
| GE     | 大于等于>=              |string|
| LT     | 小于<                   |string|
| LE     | 小于等于<=              |string|
| BT     | between 值1 and 值2     |array|
| NBT    | not between 值1 and 值2 |array|
| LIKE   | like '%值%'             |string|
| NLIKE  | not like '%值%'         |string|
| LLIKE  | like '%abc'             |string|
| RLIKE  | like 'abc%'             |string|
| IN     | in(值1,值2)             |array|
| NIN    | not in(值1,值2)         |array|
